org.apache.ignite.spi.systemview.view

## Interface FiltrableSystemView<R>

Type Parameters:
  `R` - Type of the row.

All Superinterfaces:
  Iterable<R>, SystemView<R>

All Known Implementing Classes:
  FiltrableSystemViewAdapter

    public interface FiltrableSystemView<R>
    extends SystemView<R>

System view with filtering capabilities.

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterator<R>` `iterator(Map<String,Object> filter)`

### Methods inherited from interface org.apache.ignite.spi.systemview.view.SystemView

`description, name, size, walker`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### iterator

    Iterator<R> iterator(Map<String,Object> filter)

Parameters:
  `filter` - Filter for a view (`null` or empty filter means no filtering).
Returns:
  Iterator for filtered system view content.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022